#this spec file should be considered copyright under the GNU Public
#License, though the rest of this package is in the public domain.
Summary: A ctags clone that only handles C, but does it better
Name: nctags
Packager: Michael De La Rue <miked@ed.ac.uk>
Version: 1.4
Release: 1
Copyright: public domain 
Source: ftp://ftp.sunsite.unc.edu/pub/Linux/devel/c/ctags-1.4.tar.gz
Group: Development/Tools
Prefix: /usr
Buildroot: /tmp
%description
Ctags is a program which builds an index to a set of source code in a
directory so that a person editing that code can jump around it, for
example from a function call to its definition.

This package contains a ctags clone that only handles C, but does it
better.  So as not to clash with emacs ctags which I also have and
want becuase of its support for other languages I have renamed this
nctags. Advantages include the ability to jump from a variable to its
declaration etc.
%prep
%setup -n ctags-1.4
%build
#not because I don't know about -f; because I know it's right.
cp Makefile.unix Makefile
make
%install
install -d $RPM_BUILD_ROOT/usr/bin
install -o root -g root -m 755  ctags $RPM_BUILD_ROOT/usr/bin/nctags
install -d $RPM_BUILD_ROOT/usr/man/man1
install -o root -g root -m 755  ctags.1 $RPM_BUILD_ROOT/usr/man/man1/nctags.1
%files
%doc README ANNOUNCE CHANGES INSTALL
/usr/bin/nctags 
/usr/man/man1/nctags.1

